<?php
//Incluimos conexion a la base de 
date_default_timezone_set('America/Lima');
require "../config/Conexion.php";

Class Servicio
{
  //Implementando nuestro constructor
  public function __construct()
  {
  }
    public function insertar($idcontrato,$tipo_problema,$descripcion,$referencia,$celular,$direccion,$latitud,$longitud)
    {
        $validar_incidencia = "SELECT COUNT(idincidencia) AS contador FROM incidencia WHERE idcontrato = '$idcontrato' AND estado = '1'";
        $resultado = ejecutarConsultaSimpleFila($validar_incidencia);
        $contador = $resultado['contador'];

        if ($contador == 0) {
                $sql_insert = "INSERT INTO incidencia (idusuario, idcontrato , tipo_problema , descripcion, estado, celular, referencia, direccion, latitud, longitud) 
                            VALUES ('', '$idcontrato', '$tipo_problema','$descripcion', '1', '$celular', '$referencia', '$direccion', '$latitud', '$longitud')";
                
                if (ejecutarConsulta($sql_insert)) {
                    echo "success";
                } else {
                    echo "error"; // Falló la ejecución de la inserción
                }
            } else {
                echo "existe"; // Ya hay incidencia activa
            }
    }

    public function listar_ordenes($idcliente) {
        $sql = "SELECT 
            o.idincidencia,
            c.nrocontrato,
            date(o.created_at) AS fecha,
            a.estado_averia as estado,
            u.nombre as tecnico
            FROM incidencia o
            JOIN contrato c ON o.idcontrato = c.idcontrato
            LEFT JOIN averia a ON o.idincidencia=a.idincidencia
            LEFT JOIN usuario u ON a.idtecnico=u.idusuario
            WHERE c.idcliente = '$idcliente' and o.estado='1'
            ORDER BY o.created_at DESC";
        return ejecutarConsulta($sql);
    }
   

}